# All files / src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes LogicalExpressionFunctionNode.ts

100% Statements 15/15
100% Branches 0/0
100% Functions 1/1
100% Lines 12/12

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    491x
    1x

    1x

    1x

    1x

    1x
    1x

    1x

    1x

    356x

    356x

    358x

     import { injectable, inject } from 'inversify';
    import { ServiceIdentifiers } from '../../../container/ServiceIdentifiers';

    import * as format from 'string-template';

    import { IOptions } from '../../../interfaces/options/IOptions';

    import { initializable } from '../../../decorators/Initializable';

    import { BinaryExpressionFunctionTemplate } from '../../../templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionFunctionTemplate';

    import { AbstractCustomNode } from '../../AbstractCustomNode';
    import { RandomGeneratorUtils } from '../../../utils/RandomGeneratorUtils';

    @injectable()
    export class BinaryExpressionFunctionNode extends AbstractCustomNode {
        /**
         * @type {string}
         */
        @initializable()
        private operator: string;

        /**
         * @param options
         */
        constructor (
            @inject(ServiceIdentifiers.IOptions) options: IOptions
        ) {
            super(options);
        }

        /**
         * @param operator
         */
        public initialize (operator: string): void {
            this.operator = operator;
        }

        /**
         * @returns {string}
         */
        protected getTemplate (): string {
            return format(BinaryExpressionFunctionTemplate(), {
                functionName: RandomGeneratorUtils.getRandomVariableName(1),
                operator: this.operator
            });
        }
    }